Bug 1310361 - rubygem-coderay-1.1.2 is available
rubygem-coderay-1.1.2 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: rubygem-coderay (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 19:11 EST by Upstream Release Monitoring
Modified: 2017-09-03 08:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.1.1 (#1310361) (1.10 KB, patch)
2016-02-20 19:11 EST, Upstream Release Monitoring
no flags Details | Diff
Update to 1.1.1 (3.27 KB, patch)
2017-01-10 14:11 EST, Jun Aruga
no flags Details | Diff
License file (1.11 KB, text/plain)
2017-01-10 14:13 EST, Jun Aruga
no flags Details
test files for 1.1.1 (31.04 KB, application/x-gzip)
2017-01-10 14:13 EST, Jun Aruga
no flags Details
Lint log (2.41 KB, text/plain)
2017-01-10 14:14 EST, Jun Aruga
no flags Details
Update to 1.1.1 (2) (3.52 KB, patch)
2017-01-11 09:11 EST, Jun Aruga
no flags Details | Diff
[patch] Update to 1.1.2 (#1310361) (1.10 KB, patch)
2017-09-03 08:12 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-02-20 19:11:40 EST
Latest upstream release: 1.1.1
Current version/release in rawhide: 1.1.0-6.fc24
URL: http://rubygems.org/gems/coderay

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-20 19:11:56 EST
Created attachment 1128880 [details]
[patch] Update to 1.1.1 (#1310361)
Comment 2 Upstream Release Monitoring 2016-02-20 19:18:13 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13070469
Comment 3 Jun Aruga 2017-01-10 14:11 EST
Created attachment 1239210 [details]
Update to 1.1.1

Hello,
I uploaded the patch from current 1.1.0 to update latest version 1.1.1.
I also added test logic in the check section.
The modification is based on the result of gem2rpm.

I checked below items.

- Dependency check: ok
  rubygem-prawn-manual_builder-0:0.2.0-1.fc25.noarch
    Err but it is already broeken from 1.1.0.
    So it is no problem to ignore this time.
    https://rubygems.org/gems/prawn-manual_builder/versions/0.2.0
    https://apps.fedoraproject.org/koschei/package/rubygem-prawn-manual_builder?collection=f26
  rubygem-pry-0:0.10.4-1.fc26.noarch
    ok
  rubygem-rabbit-0:2.1.9-1.fc25.noarch
    ok
- License check: ok
  => License changed.
- Install check: ok [1]
  ok
- rpmlint check: I got errors.
  It is such as
  rubygem-coderay.noarch: E: script-without-shebang /usr/share/gems/gems/coderay-1.1.1/lib/coderay/token_kinds.rb
rubygem-coderay.noarch: E: wrong-script-interpreter /usr/share/gems/gems/coderay-1.1.1/bin/coderay /usr/bin/env ruby
  If you want to fix those, you can fix it.
  But in my experience, those kind of things are not fixed in the spec file.
  I will attach the file soon.
- Run require 'coderay' on IRB: ok
<mock-chroot> sh-4.4# irb
irb(main):001:0> require 'coderay'
=> true
Comment 5 Jun Aruga 2017-01-10 14:13 EST
Created attachment 1239213 [details]
test files for 1.1.1

Test files used in the spec file.
Comment 6 Jun Aruga 2017-01-10 14:14 EST
Created attachment 1239214 [details]
Lint log
Comment 7 Vít Ondruch 2017-01-11 06:08:17 EST
(In reply to Jun Aruga from comment #3)
> - License check: ok
>   => License changed.

Just keep in mind it has to be announced:

https://fedoraproject.org/wiki/Licensing:Main#License_Changes


>   rubygem-coderay.noarch: E: script-without-shebang
> /usr/share/gems/gems/coderay-1.1.1/lib/coderay/token_kinds.rb
>   If you want to fix those, you can fix it.
>   But in my experience, those kind of things are not fixed in the spec file.
>   I will attach the file soon.

Of course we fix this kind of issues everywhere (not the other I omitted). You should change the file permissions and of course report it upstream.
Comment 8 Jun Aruga 2017-01-11 09:11 EST
Created attachment 1239455 [details]
Update to 1.1.1 (2)

Hi Vit,

I updated the patch to fix your mentioned issue.
I also reported to upstream as a pull-request.

Could you check it?
Thank you.
Comment 9 Upstream Release Monitoring 2017-09-03 08:12:20 EDT
Latest upstream release: 1.1.2
Current version/release in rawhide: 1.1.0-8.fc27
URL: http://rubygems.org/gems/coderay

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4310/
Comment 10 Upstream Release Monitoring 2017-09-03 08:12:28 EDT
Created attachment 1321504 [details]
[patch] Update to 1.1.2 (#1310361)
Comment 11 Upstream Release Monitoring 2017-09-03 08:16:19 EDT
hotness's scratch build of rubygem-coderay-1.1.2-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=21630110

Note You need to log in before you can comment on or make changes to this bug.